
Katello - Bug #22720

Cannot access the Ubuntu repo correctly from the browser

02/28/2018 11:12 AM - Matthew Smith

Status: New   

Priority: High   

Assignee:    

Category: Repositories   

Target version: Katello 3.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The ubuntu repo has the path http://katello.localdomain/pulp/deb/JJJ/Library/custom/Ubuntu/Ubuntu_xenial but when I navigate to

the pool folder in it I receive

HTTP 404: Not found.

The URL you requested was not found on this server.

However, if I navigate to http://katello.localdomain/pulp/deb/JJJ/Library/custom/Ubuntu/Ubuntu_xenial then go to parent folder, then

followed by Ubuntu folder, then followed by the Ubuntu_xenial folder I can access the pool folder.

Not sure if this makes sense and if it is related to why the OS is not being created in Bug #22717.

History

#1 - 03/27/2018 11:11 AM - Matthew Smith

- Priority changed from Normal to High

To fix this problem I think all it needs is the code the creates the Published at path for the Debian repos type needs a / at the end.

ie instead of Published at http://katello.localdomain/pulp/deb/JJJ/Library/custom/Ubuntu/Ubuntu_xenial

it should be  Published at http://katello.localdomain/pulp/deb/JJJ/Library/custom/Ubuntu/Ubuntu_xenial/

#2 - 03/28/2018 06:18 PM - John Mitsch

- translation missing: en.field_release changed from 284 to 352

#3 - 06/17/2018 07:42 PM - Matthew Smith

Are there suggested workarounds that can be done manually until the fix is merged ?
